I already have Unity 5, can I start the course with that?

If you stick with Unity 4.6 until BowlMaster, life should be much easier for you.

We upgrade to Unity 5 in Bowlmaster, which is also the first time we actually use Unity 5's additional features so you won't miss anything by doing that.

You will find conversion to the latest version of Unity pretty easy and instructions on how to do this are in the early lectures.


If you still want to use Unity 5, you will need to add this code before you try and use rigidBody, and something similar for other properties which can no longer be accessed directly...
private Rigidbody rigidBody;

// Use this for initialization
void Start () {
rigidBody = GetComponent<Rigidbody> (); }

Feedback and Knowledge Base